> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apitally.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Apps

> List apps and their environments.



## OpenAPI

````yaml https://api.apitally.io/openapi.json get /v1/apps
openapi: 3.1.0
info:
  title: Apitally API
  version: 1.0.0
servers:
  - url: https://api.apitally.io
security: []
paths:
  /v1/apps:
    get:
      tags:
        - Apps
      summary: List Apps
      description: List apps and their environments.
      operationId: list_apps_v1_apps_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListAppsResponse'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ListAppsResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/AppItem'
          type: array
          title: Data
          description: List of apps
      type: object
      required:
        - data
      title: ListAppsResponse
    AppItem:
      properties:
        id:
          type: integer
          title: Id
          description: App ID
          examples:
            - 1
            - 2
        name:
          type: string
          title: Name
          description: App name
          examples:
            - My API
        framework:
          type: string
          title: Framework
          description: Framework
          examples:
            - FastAPI
            - Express
        client_id:
          type: string
          format: uuid
          title: Client Id
          description: Client ID
        envs:
          items:
            $ref: '#/components/schemas/AppEnvItem'
          type: array
          title: Envs
          description: List of environments.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Date and time of app creation.
      type: object
      required:
        - id
        - name
        - framework
        - client_id
        - envs
        - created_at
      title: AppItem
    AppEnvItem:
      properties:
        id:
          type: integer
          title: Id
          description: Environment ID
          examples:
            - 1
            - 2
        name:
          type: string
          title: Name
          description: Environment name
          examples:
            - prod
            - dev
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Date and time of environment creation.
        last_sync_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Sync At
          description: Date and time of the last sync of this environment.
      type: object
      required:
        - id
        - name
        - created_at
        - last_sync_at
      title: AppEnvItem
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Api-Key

````